Subject: Re: bug#72857: 30.0.90; emacs 30: eshell-execute-file DESTINATION

From: Jim Porter <[email-masked]>
Date: Wed, 28 Aug 2024 21:58:21 -0700

On 8/28/2024 9:49 PM, Eli Zaretskii wrote:
>> Date: Wed, 28 Aug 2024 13:51:13 -0700
>> From: Jim Porter <[email-masked]>
>>
>> On 8/28/2024 10:45 AM, Christopher Howard wrote:
>>> - Am I supposed to be able to pass in the name of a buffer as a string? E.g., "*test*" or "#<*test*>". This does not generate an error, but it does not generate output in the buffer.
>>
>> That writes to a file, not a buffer. (Though it seems this regressed in
>> Emacs 31.)
> 
> IMO, a string should not be interpreted as a buffer name.  Buffers
> should be specified in buffer notation, as in #<*test*>.  If all you
> have is a name, you could use get-buffer to return a buffer.

Agreed. I suppose that could be a bit surprising since this function 
shares some similarities to 'async-shell-command', and that takes a 
buffer name as a string. Still, I think the current way is more 
consistent with the rest of Eshell.